Assessing the Upgrade Complexity with the Pattern Detector | AEM Community Discussion

Avatar

Avatar

kautuk_sahni

Community Manager

Total Posts

5.6K

Likes

961

Correct Answer

1.1K

Avatar

kautuk_sahni

Community Manager

Total Posts

5.6K

Likes

961

Correct Answer

1.1K
kautuk_sahni
Community Manager

30-09-2020

BlogImage.jpg

Assessing the Upgrade Complexity with the Pattern Detector by Adobe Docs

Abstract

Overview
This feature allows you to check existing AEM instances for their upgradability by detecting patterns in use that:
1. Violate certain rules and are done in areas that will be affected or overwritten by the upgrade
2. Use an AEM 6.x feature or an API that is not backwards compatible on AEM 6.5 and can potentially break after upgrade.

This could serve as an assessment of the development effort that is involved in upgrading to AEM 6.5.

How to Set Up
The Pattern Detector is released separately as a one package working on any source AEM versions from 6.1 to 6.5 targeting AEM 6.5 upgrade. It can be installed using the Package Manager .

How to Use
Pattern Detector can run on any environment, including local development instances. However, in order to:
increase the detection rate
avoid any slowdowns on business critical instances
both at the same time it is recommended to run it on staging environments that are as close as possible to production ones in the areas of user applications, content and configurations.

Read Full Blog

Assessing the Upgrade Complexity with the Pattern Detector

Q&A

Please use this thread to ask the related questions.

AEM AEMIBlogSeeding Experience Manager